spandsp 0.0.6

at_profile_t Struct Reference

`#include <at_interpreter.h>`

## Public Attributes
int | echo
int | verbose
int | result_code_format
int | pulse_dial
int | double_escape
int | adaptive_receive
uint8_t | s_regs [100]

## Detailed Description

AT profile.

## Member Data Documentation

## ◆ adaptive_receive

int at_profile_t::adaptive_receive

???

## ◆ double_escape

int at_profile_t::double_escape

???

## ◆ echo

int at_profile_t::echo

TRUE if character echo is enabled

## ◆ pulse_dial

int at_profile_t::pulse_dial

TRUE if pulse dialling is the default

## ◆ result_code_format

int at_profile_t::result_code_format

TRUE if result codes are verbose

## ◆ s_regs

uint8_t at_profile_t::s_regs[100]

The state of all possible S registers

## ◆ verbose

int at_profile_t::verbose

TRUE if verbose reporting is enabled

The documentation for this struct was generated from the following file:

- at_interpreter.h